Bug 1776381 - In job details in table - 'Status' column is not updated
Summary: In job details in table - 'Status' column is not updated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Adam Ruzicka
QA Contact: Peter Dragun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-25 14:51 UTC by Peter Dragun
Modified: 2020-04-14 13:27 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-2.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (63.99 KB, image/png)
2019-11-25 14:51 UTC, Peter Dragun
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28348 Normal Closed Display advanced fields doesn't work 2020-09-11 15:24:50 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:37 UTC

Description Peter Dragun 2019-11-25 14:51:37 UTC
Created attachment 1639527 [details]
screenshot

Description of problem:
When I create job status, overall status is changed dynamically, but status in table is still 'N/A'. This is changed only if I reload page. This worked as expected in snap 2

Version-Release number of selected component (if applicable):
sat 6.7 snap 3

How reproducible:


Steps to Reproduce:
1. Navigate to Monitor -> Jobs
2. Create new Job
3. Wait for end of job.
4. Notice overall status and chart has changed but status in table is still 'N/A' even if job has finished.

Actual results:
Status is still 'N/A', after refresh changes

Expected results:
Status should change dynamically without refresh as overall status.

Additional info:
Also see buttons in screenshot in right top corner are in two lines and used to be in one.

Comment 7 Bryan Kearney 2019-11-25 19:06:32 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 8 Bryan Kearney 2019-11-25 19:06:34 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 9 Bryan Kearney 2019-11-26 21:06:03 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28348 has been resolved.

Comment 11 Peter Dragun 2019-12-10 12:49:43 UTC
Verified on Sat 6.7 snap 5. Status column in table is updated dynamically without refresh.

Comment 14 errata-xmlrpc 2020-04-14 13:27:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.